Package ghidra.framework.store.local

# Class InvalidPropertyFile

java.lang.Object
ghidra.util.PropertyFile
ghidra.framework.store.local.ItemPropertyFile
ghidra.framework.store.local.InvalidPropertyFile

public class InvalidPropertyFile extends ItemPropertyFile
`InvalidPropertyFile` provides a substitue `ItemPropertyFile` when one fails to parse. This allows the item's existance to be managed even if the item cannot be opened.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.store.local.ItemPropertyFile

  `name, parentPath`

  ### Fields inherited from class ghidra.util.PropertyFile

  `PROPERTY_EXT, propertyFile, storageName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidPropertyFile(File dir, String storageName, String parentPath, String name)`
  Construct an invalid property file instance if it previously failed to parse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `readState()`
  Read in this PropertyFile into a SaveState object.

  ### Methods inherited from class ghidra.framework.store.local.ItemPropertyFile

  `getFileID, getName, getParentPath, getPath, moveTo, moveTo, setFileID`

  ### Methods inherited from class ghidra.util.PropertyFile

  `contains, delete, equals, exists, getBoolean, getInt, getLong, getParentStorageDirectory, getStorageName, getString, hashCode, isReadOnly, lastModified, putBoolean, putInt, putLong, putString, remove, writeState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvalidPropertyFile

    public InvalidPropertyFile(File dir, String storageName, String parentPath, String name) throws IOException
    Construct an invalid property file instance if it previously failed to parse.
    Parameters:
      `dir` - native directory where this file is stored
      `storageName` - stored property file name (without extension)
      `parentPath` - logical parent path for the associated item
      `name` - name of the associated item
    Throws:
      `IOException` - (never thrown since file is never read)

- ## Method Details

  - ### readState

    public final void readState()
    Description copied from class: `PropertyFile`
    Read in this PropertyFile into a SaveState object.
    Overrides:
      `readState` in class `PropertyFile`